/api/projects (POST)
POST
/api/projects
const url = 'https://example.com/api/projects';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","color":"example","visibility":0,"clientId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","description":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/projects \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "color": "example", "visibility": 0, "clientId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "description": "example" }'Authorizations
Section intitulée « Authorizations »Request Body required
Section intitulée « Request Body required » Media type application/json
object
name
string
color
string
visibility
integer format: int32
clientId
string format: uuid
description
string
Responses
Section intitulée « Responses »OK